import React, {useContext} from 'react';
import {GoogleLogin} from 'react-google-login';
import "./LoginButtonPage.css";
import {AuthContext} from "../../App";

const google_ClientID = process.env.REACT_APP_GOOGLE_CLIENT_ID;
const clientId = `${google_ClientID}.apps.googleusercontent.com`;

function LoginButton({}){

    const { isLoggedIn, setIsLoggedIn } = useContext(AuthContext);

    const onSuccessLogin = (res) =>{
        setIsLoggedIn(true);
        const { tokenId, profileObj } = res;    
    };

    const onFailure = (res) =>{
        setIsLoggedIn(false);
    };


    return(
        <div>
            <div className="loginContainer">
                <h1>Welcome to Ascend Inventory</h1>
                <h3>Please Login with Google credentials</h3>
            
            <GoogleLogin 
                clientId= {clientId}
                buttonText="Sign-in with Google"
                onSuccess= {onSuccessLogin}
                onFailure= {onFailure}
                cookiePolicy={'single_host_origin'}
            />
            </div>
        </div>
    );
}

export default LoginButton;