import React, {useContext} from 'react';
import {GoogleLogout} from 'react-google-login';
import {AuthContext} from "../../App";

const google_ClientID = process.env.REACT_APP_GOOGLE_CLIENT_ID;
const clientId = `${google_ClientID}.apps.googleusercontent.com`;

function LogoutButton(){

    const { isLoggedIn, setIsLoggedIn } = useContext(AuthContext);

    const onSuccessLogout= (res) =>{
        setIsLoggedIn(false);
    }

    return(
        <div>
            <GoogleLogout
                clientId= {clientId}
                buttonText="Logout"
                onLogoutSuccess={onSuccessLogout}
            />
        </div>
    );
}

export default LogoutButton;
